<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpDepartments\Pages;

use App\Filament\Resources\DberpDepartments\DberpDepartmentResource;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Contracts\Support\Htmlable;

class ListDberpDepartments extends ListRecords
{
    protected static string $resource = DberpDepartmentResource::class;

    public function getSubheading(): string|Htmlable|null
    {
        return (string) __('dberp.ui.organization_list_department_intro');
    }

    protected function getHeaderActions(): array
    {
        return [
            CreateAction::make(),
        ];
    }
}
